List payments, optionally by customer
GET
/api/v1/payments
const url = 'https://example.com/api/v1/payments';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/payments \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”customerId
string
limit
page
Responses
Section titled “Responses”Media typeapplication/json
object
data
required
Array<object>
object
id
required
string
stripePaymentIntentId
required
string
customerId
required
string
amount
required
Smallest currency unit (cents)
number
currency
required
string
status
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
total
required
number
page
required
number
limit
required
number
Example
{ "data": [ { "status": "requires_payment_method" } ]}